Bug 199242 - Xen: infinite loop in /lib/udev/rename_device
Xen: infinite loop in /lib/udev/rename_device
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-07-18 07:17 EDT by Mark McLoughlin
Modified: 2014-03-16 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-19 10:47:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initscripts-rename-device-xen-guest.patch (1.33 KB, patch)
2006-07-18 07:17 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2006-07-18 07:17:33 EDT
For whatever reason, in a Xen guest, ifcfg-vif0.[0-7] all contain

Now that may be a bug in itself, but it also causes an infinite loop in

Basically, with e.g. vif0.0 rename_device picks the first device with
HWADDR=FE:FF:FF:FF:FF:FF which might be e.g. vif0.6 and keeps trying to rename
vif0.0 to vif6.0, which obviously fails

Attaching a patch which recognises the possibility that other devices might be
configured with the same HWADDR as the one we're being asked to rename

This lops a whole 60 seconds off my domU boot time

(Also, fixes an fd leak ... it was running out of fds)

(I like your sighandler() { exit(1) }; alarm(10); loop catcher btw ... it made
it nice and challenging to realize there actually was a loop somewhere :-)
Comment 1 Mark McLoughlin 2006-07-18 07:17:33 EDT
Created attachment 132594 [details]
Comment 2 Mark McLoughlin 2006-07-18 07:21:57 EDT
Oh, and while you're fixing that, it would probably be safer to do:

-     mv /dev/.dhclient-${DEVICE}.leases /var/lib/dhclient/dhclient-${DEVICE}.leases
+     mv -f /dev/.dhclient-${DEVICE}.leases
Comment 3 Bill Nottingham 2006-07-19 10:47:22 EDT
Added in CVS, will be in the next build.

Note You need to log in before you can comment on or make changes to this bug.